<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Content Manager</title>
    <!-- Include the script that enables Netlify Identity on this page. -->
    <!-- <script src="https://identity.netlify.com/v1/netlify-identity-widget.js"></script> -->
  </head>
  <body>
    <!-- Include the script that builds the page and powers Netlify CMS -->
    <script src="https://unpkg.com/netlify-cms@^2.0.0/dist/netlify-cms.js"></script>
    <script>
      // Include fr local
      import CMS from 'netlify-cms-app';
      import { fr } from 'netlify-cms-locales';
      CMS.registerLocale('fr', fr);
    </script>
    <!-- Include the script to parse YAML files -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/yamljs/0.3.0/yaml.min.js"></script>
    <script>
      // Register a custom stylesheet to use on the preview pane
      // ⚠️ url need to be updated with online theme CSS file
      CMS.registerPreviewStyle("http://localhost:1313/css/main.css");

      // Create defaultCollections array (used in preview/default.js)
      var defaultCollections = [];
      // Load config.yml file using yaml.js library https://github.com/jeremyfa/yaml.js
      var config = YAML.load('config.yml');
      var collections = config.collections;
      for (var i = 0; i < collections.length; i++) {
        // Push all collections’ names with preview: 'default'
        if (collections[i].preview === "default") {
          defaultCollections.push(collections[i].name);
        }
      }
      // console.log(defaultCollections); // [ "commune", "mairie", "demarches", "quotidien", "activites" ]
    </script>
    <!-- Previews templates -->
    <script src="preview/default.js"></script>
    <script src="preview/news.js"></script>
  </body>
</html>
